/*
 * Copyright (C) 2003 Russell Miller <rmiller@duskglow.com>
 */

/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *****************************************************************************/

#ifndef _KLICKERIFACE_H_
#define _KLICKERIFACE_H_

#include <dcopobject.h>

class klickerIface : virtual public DCOPObject
{
  K_DCOP
public:

k_dcop:
  virtual void start() = 0;
  virtual void stop() = 0;
  virtual void changeInterval(int) = 0;
  virtual int newInstance() = 0;
  virtual void soundOn() = 0;
  virtual void soundOff() = 0;
  virtual void quit() = 0;
};

#endif // _KLICKERIFACE_H_
