/*
 * Copyright (C) 2003 Russell Miller <rmiller@duskglow.com>
 */

/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *****************************************************************************/

#ifndef _KLICKERPREF_H_
#define _KLICKERPREF_H_

#include <kdialogbase.h>
#include <qframe.h>

class klickerPrefPageOne;
class klickerPrefPageTwo;

class klickerPreferences : public KDialogBase
{
    Q_OBJECT
public:
    klickerPreferences();

private:
    klickerPrefPageOne *m_pageOne;
    klickerPrefPageTwo *m_pageTwo;
};

class klickerPrefPageOne : public QFrame
{
    Q_OBJECT
public:
    klickerPrefPageOne(QWidget *parent = 0);
};

class klickerPrefPageTwo : public QFrame
{
    Q_OBJECT
public:
    klickerPrefPageTwo(QWidget *parent = 0);
};

#endif // _KLICKERPREF_H_
